/***************************************************************************/
/*                                                                         */
/*                   Miscellaneous Utilities for KISS Validator            */
/*                                                                         */
/***************************************************************************/

#ifndef __UTILITIES_H
#define __UTILITIES_H

#include "BOOL.h"

#define SGN(x) ((x)<0?-1:1)

extern void *safe_alloc(int size);

extern char *strndup(const char *s, int bufflen);

extern char *strdup(const char *s);

extern int struncmp(const char *s1,const char *s2,int len);

#define strucmp(s1,s2) struncmp(s1,s2,0)

extern BOOL convert_to_int(char *buffer, int *val);

extern char *lowercase(const char *src,char *buffer,int bufflen);

#endif
