/***************************************************************************/
/*                                                                         */
/*                        Cel group creation & control                     */
/*                                                                         */
/***************************************************************************/

#ifndef __CELGROUP_H
#define __CELGROUP_H

#include "BOOL.h"

#include "KISSTypes.h"
#include "FKISSTypes.h"

#define NULL_FRAME -1

/***************************************************************************/

extern FKISS_GROUP_LIST celgroup_findOrCreateGroup(char *name,BOOL create);

#define celgroup_findGroup(group) celgroup_findOrCreateGroup(group,FALSE)

/***************************************************************************/

extern FKISS_GROUP_LIST celgroup_findOrCreateFrame(char *name,int frame,BOOL create);

#define celgroup_findFrame(grp,f) celgroup_findOrCreateFrame(grp,f,FALSE)

/***************************************************************************/

extern void celgroup_addCelToGroup(char         *name,
                                   int           frameno,
                                   KISS_CEL_LIST cel);

/***************************************************************************/

extern BOOL celgroup_isMember(FKISS_GROUP_LIST group,KISS_CEL_LIST cel);

/***************************************************************************/

extern void celgroup_dispose(void);

#endif
