/***************************************************************************/
/*                                                                         */
/*                       Message handler for validator                     */
/*                                                                         */
/***************************************************************************/

#ifndef __MESSAGE_H
#define __MESSAGE_H

#include <setjmp.h>

extern jmp_buf read_doll_env;

extern int errorcount;

extern char *message_msgtext(char *tag);

extern void message_report(char *format,...);

extern void message_reportTag(char *msgid,...);

extern void message_error(char *msgid,...);

extern void message_begin(char *cnf);

void message_progress(char *format,...);

/*
 * If filename is NULL on initialization, output is sent to stdout
 */

extern void message_init(char *filename);

#endif
