# Project:   cnfcheck


# Toolflags:
CCflags = -c -depend !Depend -IC: -throwback -apcs 3/32/fpe2/swst/fp/nofpr 
C++flags = -c -depend !Depend -IC: -throwback
Linkflags = -aif -c++ -o $@ 
ObjAsmflags = -throwback -NoCache -depend !Depend
CMHGflags = 
LibFileflags = -c -o $@
Squeezeflags = -o $@
MkMsgflags = -header
ASMflags = 


# Final targets:
@.cnfcheck:   @.o.cnfcheck @.o.FKISS_IO @.o.keyhandler @.o.KISS_data \
        @.o.message @.o.readkiss @.o.utilities @.o.validate @.o.celgroup @.o.pragma @.o.poolio \
        @.o.lzh C:o.stubs 
        Link $(Linkflags) @.o.cnfcheck @.o.FKISS_IO @.o.keyhandler \
        @.o.KISS_data @.o.message @.o.readkiss @.o.utilities @.o.validate @.o.celgroup @.o.pragma \
        @.o.poolio @.o.lzh C:o.stubs 


# User-editable dependencies:

# Static dependencies:
@.o.cnfcheck:   @.C.cnfcheck
        cc $(ccflags) -o @.o.cnfcheck @.C.cnfcheck 
@.o.FKISS_IO:   @.C.FKISS_IO
        cc $(ccflags) -o @.o.FKISS_IO @.C.FKISS_IO 
@.o.keyhandler:   @.C.keyhandler
        cc $(ccflags) -o @.o.keyhandler @.C.keyhandler 
@.o.KISS_data:   @.C.KISS_data
        cc $(ccflags) -o @.o.KISS_data @.C.KISS_data 
@.o.message:   @.C.message
        cc $(ccflags) -o @.o.message @.C.message 
@.o.readkiss:   @.C.readkiss
        cc $(ccflags) -o @.o.readkiss @.C.readkiss 
@.o.utilities:   @.C.utilities
        cc $(ccflags) -o @.o.utilities @.C.utilities 
@.o.validate:   @.C.validate
        cc $(ccflags) -o @.o.validate @.C.validate 
@.o.celgroup:   @.C.celgroup
        cc $(ccflags) -o @.o.celgroup @.C.celgroup 
@.o.pragma:   @.C.pragma
        cc $(ccflags) -o @.o.pragma @.C.pragma 
@.o.poolio:   @.C.poolio
        cc $(ccflags) -o @.o.poolio @.C.poolio 
@.o.lzh:   @.C.lzh
        cc $(ccflags) -o @.o.lzh @.C.lzh 


# Dynamic dependencies:
